1.1
1.1
get /v1/service-control-policies/{policy_id}
Description
show a specific service control policy
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | policy_id required | 서비스 제어 정책 ID Example : 138c2fc8c29a449dbfa8681f8f1d78e2 | string | None |
| query | organization_id optional | 조직 ID Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServiceControlPolicyShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/service-control-policies/{policy_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = organization 1.1"
Example HTTP response
Response 200
{
"policy": {
"category": "SCP",
"created_at": "2024-12-19 01:09:05.000",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"creator_name": "John Doe na",
"description": "This is an example policy.",
"document": {
"Statement": [
{
"Action": [
"*"
],
"Effect": "Allow",
"Resource": [
"*"
],
"Sid": "statement1"
}
],
"Version": "2024-07-01"
},
"id": "138c2fc8c29a449dbfa8681f8f1d78e2",
"modified_at": "2023-10-15 14:30:00",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"modifier_name": "Alice",
"name": "MyPolicy",
"organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
"service_name": "Organization",
"source": "ORGANIZATION",
"srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/service-control-policy/138c2fc8c29a449dbfa8681f8f1d78e2",
"state": "ACTIVE",
"type": "MANAGED"
}
}